<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:types="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:TYPES:V1.51" xmlns:ref="http://ws-i.org/profiles/basic/1.1/xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:ws="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:V1.51" xmlns:conv="http://www.openuri.org/2002/04/soap/conversation/" targetNamespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:V1.51">
	<wsdl:types>
		<xsd:schema elementFormDefault="qualified" targetNamespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:TYPES:V1.51" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
			<xsd:element name="startEntityAction">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="startEntityActionResponse">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="getEntityActionResult">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="getEntityActionResultResponse">
				<xsd:complexType>
					<xsd:sequence>
						<xsd:element name="ActionSucceeded" type="xsd:boolean"/>
						<xsd:element name="ActionResult" minOccurs="0">
							<xsd:simpleType>
								<xsd:restriction base="xsd:token">
									<xsd:enumeration value="Success"/>
									<xsd:enumeration value="Error"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:element>
					</xsd:sequence>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="stopEntityAction">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="stopEntityActionResponse">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
		</xsd:schema>
		<xsd:schema elementFormDefault="qualified" targetNamespace="http://www.openuri.org/2002/04/soap/conversation/">
			<xsd:element name="StartHeader" type="conv:StartHeader"/>
			<xsd:element name="ContinueHeader" type="conv:ContinueHeader"/>
			<xsd:element name="CallbackHeader" type="conv:CallbackHeader"/>
			<xsd:complexType name="StartHeader">
				<xsd:sequence>
					<xsd:element name="conversationID" type="xsd:string" minOccurs="0"/>
					<xsd:element name="callbackLocation" type="xsd:string" minOccurs="0"/>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="ContinueHeader">
				<xsd:sequence>
					<xsd:element name="conversationID" type="xsd:string"/>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CallbackHeader">
				<xsd:sequence>
					<xsd:element name="conversationID" type="xsd:string"/>
				</xsd:sequence>
			</xsd:complexType>
		</xsd:schema>
	</wsdl:types>
	<wsdl:message name="StartHeader_literal">
		<wsdl:part name="StartHeader" element="conv:StartHeader"/>
	</wsdl:message>
	<wsdl:message name="ContinueHeader_literal">
		<wsdl:part name="ContinueHeader" element="conv:ContinueHeader"/>
	</wsdl:message>
	<wsdl:message name="startEntityActionSoapIn">
		<wsdl:part name="startEntityActionParameters" element="types:startEntityAction"/>
		<wsdl:part name="entities" type="xsd:base64Binary"/>
	</wsdl:message>
	<wsdl:message name="startEntityActionSoapOut">
		<wsdl:part name="startEntityActionResponseParameters" element="types:startEntityActionResponse"/>
	</wsdl:message>
	<wsdl:message name="getEntityActionResultSoapIn">
		<wsdl:part name="getEntityActionResultParameters" element="types:getEntityActionResult"/>
	</wsdl:message>
	<wsdl:message name="getEntityActionResultSoapOut">
		<wsdl:part name="getEntityActionResultResponseParameters" element="types:getEntityActionResultResponse"/>
		<wsdl:part name="report" type="xsd:base64Binary"/>
	</wsdl:message>
	<wsdl:message name="stopEntityActionSoapIn">
		<wsdl:part name="stopEntityActionParameters" element="types:stopEntityAction"/>
	</wsdl:message>
	<wsdl:message name="stopEntityActionSoapOut">
		<wsdl:part name="stopEntityActionResponseParameters" element="types:stopEntityActionResponse"/>
	</wsdl:message>
	<wsdl:portType name="MaintainEntitySoap">
		<wsdl:operation name="startEntityAction">
			<wsdl:input message="ws:startEntityActionSoapIn"/>
			<wsdl:output message="ws:startEntityActionSoapOut"/>
		</wsdl:operation>
		<wsdl:operation name="getEntityActionResult">
			<wsdl:input message="ws:getEntityActionResultSoapIn"/>
			<wsdl:output message="ws:getEntityActionResultSoapOut"/>
		</wsdl:operation>
		<wsdl:operation name="stopEntityAction">
			<wsdl:input message="ws:stopEntityActionSoapIn"/>
			<wsdl:output message="ws:stopEntityActionSoapOut"/>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="MaintainEntitySoap" type="ws:MaintainEntitySoap">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsdl:operation name="startEntityAction">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/startEntityAction"/>
			<conv:transition phase="start"/>
			<wsdl:input>
				<mime:multipartRelated>
					<mime:part>
						<soap:body parts="startEntityActionParameters" use="literal"/>
						<soap:header message="ws:StartHeader_literal" part="StartHeader" use="literal" wsdl:required="true"/>
					</mime:part>
					<mime:part>
						<mime:content part="entities" type="application/octet-stream"/>
					</mime:part>
				</mime:multipartRelated>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getEntityActionResult">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/getEntityActionResult"/>
			<conv:transition phase="continue"/>
			<wsdl:input>
				<soap:body use="literal"/>
				<soap:header message="ws:ContinueHeader_literal" part="ContinueHeader" use="literal" wsdl:required="true"/>
			</wsdl:input>
			<wsdl:output>
				<mime:multipartRelated>
					<mime:part>
						<soap:body parts="getEntityActionResultResponseParameters" use="literal"/>
					</mime:part>
					<mime:part>
						<mime:content part="report" type="application/octet-stream"/>
					</mime:part>
				</mime:multipartRelated>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="stopEntityAction">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/stopEntityAction" style="document"/>
			<conv:transition phase="finish"/>
			<wsdl:input>
				<soap:body use="literal"/>
				<soap:header message="ws:ContinueHeader_literal" part="ContinueHeader" use="literal" wsdl:required="true"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="MaintainEntity">
		<wsdl:documentation>Asynchronous web service for maintaining entities.</wsdl:documentation>
		<wsdl:port name="MaintainEntitySoap" binding="ws:MaintainEntitySoap">
			<soap:address location="https://seed.dgtaxud.ec:8443/SEEDv1WS/entity/MaintainEntity.jws"/>
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>
